## visad.formula
Class Postfix

    java.lang.Object
      visad.formula.Postfix

class Postfix
extends Object

represents a formula in postfix notation.

Field Summary
`(package private) static int` `BINARY` code for binary operator
`(package private) int[]` `codes` postfix codes representing token types
`(package private) static int` `FUNC` code for function name
`(package private) static int` `FUNCCONST` code for constant that represents number of function arguments
`(package private) static int` `OTHER` code for variable, constant, or other
`(package private) String[]` `tokens` postfix tokens
`(package private) static int` `UNARY` code for unary operator

Constructor Summary
`(package private)` `Postfix(String formula, FormulaManager fm)` construct a Postfix object by converting infix formula

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINARY

    static final int BINARY

  code for binary operator

  See Also:
    Constant Field Values

### UNARY

    static final int UNARY

  code for unary operator

  See Also:
    Constant Field Values

### FUNC

    static final int FUNC

  code for function name

  See Also:
    Constant Field Values

### FUNCCONST

    static final int FUNCCONST

  code for constant that represents number of function arguments

  See Also:
    Constant Field Values

### OTHER

    static final int OTHER

  code for variable, constant, or other

  See Also:
    Constant Field Values

### tokens

    String[] tokens

  postfix tokens

### codes

    int[] codes

  postfix codes representing token types

Constructor Detail

### Postfix

    Postfix(String formula,
            FormulaManager fm)
      throws FormulaException

  construct a Postfix object by converting infix formula